%
% Author: Juergen Vigna
%
% Defining some modifications and some new Commands for a german version
% to write letters.
%
\LoadClass[a4paper,12pt,final]{letter}
\ProvidesClass{dinbrief}
              [1996/07/01 v1.1 Standard LaTeX document class]
%Grundzeilenabstand 1/6in = 4,23mm (DIN 2107,2142)
\newdimen\GZA
\GZA=1in
\divide\GZA by 6
\newcommand{\Absender}[1]{\def\fromaddress{#1}}
\newif\iffenster\fensterfalse
\newcommand{\Fenster}{\fenstertrue}
\newcommand{\Retouradresse}[1]{\def\returnaddress{#1}}
\newcommand{\Postvermerk}[1]{\def\Vermerk{#1}}
\newcommand{\Betreff}[1]{\def\betreff{\ignorespaces #1}}
\newcommand{\Datum}[1]{\def\date{#1}}
\newif\ifanlagenr\anlagenrfalse
\newcommand{\anlagenrechts}{\anlagenrtrue}
\newcommand{\Anlagen}[1]{\def\Anlagentext{#1}}
\def\Anlagentext{}
\newcommand{\Verteiler}[1]{\def\Verteilertext{#1}}
\def\Verteilertext{}
\def\heute{\number\day.\ \ifcase\month\or
 Januar\or Februar\or M\"arz\or April\or Mai\or Juni\or
 Juli\or August\or September\or Oktober\or November\or Dezember\fi
 \space\number\year}
%Neudefinition des opening-Befehls
\renewcommand*{\opening}[1]{\thispagestyle{empty}%
 \unitlength1mm
 \begin{picture}(0,0)
   %Absenderadresse und Datum
   \put(0,12.69){%
   \parbox[t]{1\textwidth}{\parbox[t]{3in}{\fromaddress}
   \hfill \@date }}
   %Empfaengeradresse
   \put(0,-21.15){\parbox[t]{3in}{\mbox{}\par\toname \\ \toaddress}}
 \end{picture}%
 %Anpassung fuer Betreff
 \mbox{}\par
 \vspace{-1\parskip}
 \vspace{15\GZA}
 %Anpassung wegen der verschiedenen Grundzeilenabstaende
 \ifcase\@ptsize\vspace{0.045pt}\or\vspace{-1.555pt}\or\vspace{-2.955pt}\or\fi
 \betreff \mbox{} \par
 \vspace{-1\parskip}
 \vspace{2\GZA}
 %Anpassung wegen der verschiedenen Grundzeilenabstaende
 \ifcase\@ptsize\vspace{0.045pt}\or\vspace{-1.555pt}\or\vspace{-2.955pt}\or\fi
 \newcommand{\Anrede}{#1}
 \ifx\Anrede\empty \else #1\par\fi\nobreak}
%Neudefinition des closing-Befehls
\renewcommand*{\closing}[1]{\par\nobreak
 \stopbreaks
 \noindent
 \parbox[t]{3.5in}{\raggedright
 \ignorespaces #1 \mbox{} \\[4\GZA]
 \ifx\@empty\fromsig
 \relax
 \else \fromsig \fi\strut}
 \ifanlagenr\hfill \parbox[t]{2in}{\An}
 \else \par\An \fi}
\def\An{\ifx\Anlagentext\empty\else\Anlagentext
 \par \fi \ifx\Verteilertext\empty\else\Verteilertext\fi}
